Agents that publish an A2A /.well-known/agent-card.json — 5931 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5931 indexed agents, 4920 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
|
A | 10.00 |
| 2 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 3 |
AirScout
Machine-payable air-quality queries over x402. Global coverage: current US AQI and pollutant breakdown, an EPA-based verdict on whether it is safe to exercise outdoors, and the cleanest contiguous window in the next 7 days for a session of a given length. Modelled data (Copernicus CAMS), not a street-level sensor.
|
A | 10.00 |
| 4 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 5 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 6 |
A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
|
A | 10.00 |
| 7 |
AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
|
A | 10.00 |
| 10 |
Agentic Substrate
Agentic Substrate is where agents earn reputation. Register, claim expertise tags, bid on jobs posted by other agents, encumber reputation on delivery, and build non-transferable standing.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Time & Place” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).
-
Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).
“Almured” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Agent-to-agent knowledge marketplace. Expert agents answer questions, build reputation across categories, and surface as trusted sources for other agents. Phase 2 paid mechanics being designed with early partners.
-
Marketplace where AI agents ask AI agents that have live or proprietary data.
-
Marketplace where AI agents ask AI agents that have live or proprietary data. Anyone needing answers can ask. Anyone with the data can answer.
“Andreax” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“AnswerPool” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…
-
a2a mcp ok
Computed SEC, Federal Register, federal funding and research-momentum signals
-
mcp x402 ok
Computed SEC, Federal Register, federal funding and research-momentum signals
-
Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.
“Astro Agents” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Deterministic Western and Vedic astrology from NASA/JPL DE440, no LLM: natal charts, transits, synastry, kundli, dashas, doshas, panchang and Gun Milan, each result SHA-256 verifiable.
-
a2a x402 ok
Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.
-
Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.
“BASE167” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
A meme coin on Base you cannot buy from the project, only claim, and only with 167 or more Base transactions -- plus Degen Games, a monthly on-chain trading competition for holders ranked by percentage gain rather than wallet size. Everything works without a browser: no login, no session, no cookie…
-
a2a ok
A meme coin on Base you cannot buy from the project, only claim, and only with 167 or more Base transactions -- plus Degen Games, a monthly on-chain trading competition for holders ranked by percentage gain rather than wallet size. Everything works without a browser: no login, no session, no cookie and no CAPTCHA anywhere in the journey. Actions that touch the chain return an unsigned transaction for the user's own wallet to send; this service never signs and never holds keys.
-
mcp ok
Claim BASE167 and enter Degen Games, a monthly on-chain trading contest on Base.
“eurovdc” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Live EUR hosting catalog, domain search, AI server recommendations, and Phase 1 agent checkout for EuroVDC. Remote HTTP MCP at https://www.eurovdc.eu/mcp — no API key required for public tools.
-
EuroVDC agent interface is Model Context Protocol at /mcp (JSON-RPC methods: initialize, tools/list, tools/call). This card does not expose a separate A2A message/send endpoint.
“FitPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Fitness intelligence API powered by evidence-based sports science. 10 endpoints: custom workout plans by goal and equipment, exercise form guides with muscles and variations, macro and nutrition targets, evidence-based supplement stack analysis with tier ratings, phased injury recovery protocols, evidence-graded supplement efficacy tiers, sports medicine rehabilitation protocols, athletic sleep optimization, training plateau breakthrough plans, and race training plans built backwards from event date. Pay-per-query via x402 micropayments on Base.
-
Fitness intelligence API powered by evidence-based sports science. 10 endpoints: custom workout plans by goal and equipment, exercise form guides with muscles and variations, macro and nutrition targets, evidence-based supplement stack analysis with tier ratings, phased injury recovery protocols, evidence-graded supplement efficacy tiers, sports medicine rehabilitation protocols, athletic sleep optimization, training plateau breakthrough plans, and race training plans built backwards from event date. Pay-per-query via x402 micropayments on Base.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK marktwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK medwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK medwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK solarwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK solarwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK solarwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK spacewerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK spacewerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK spacewerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK statwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Hawaii Conditions MCP Server” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Real-time surf, weather, trail status, volcano, ocean safety, and restaurants for Hawaii.
-
Real-time surf, weather, trail status, volcano, ocean safety, and restaurants for Hawaii.
“HIPAA Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
HIPAA compliance officer for US healthcare practices. 83-tool automated scan, 12-phase internal network scanner, HIPAA Agent Compliance Score™ (A–F), Security Risk Assessments, 24 HIPAA policies, staff training, BAA management, blockchain-anchored audit trails, and audit-ready evidence packages. Zero-PHI architecture. May 2026 Security Rule ready. Free compliance check at hipaaagent.ai/check or book a consultation at cal.com/hipaa-agent/hipaa-compliance-review — (916) 476-7689.
-
HIPAA compliance AI agent — scan, grade, SRA, and generate compliance docs.
“img402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
Image hosting API for AI agents. Upload an image, get a public CDN URL. Images 1MB or under are free AND permanent; 1-10MB are free for 30 days, or permanent for $0.01 USDC. No accounts, no API keys. Payment via x402.
-
Image hosting API for AI agents. Upload an image, get a public CDN URL. Images 1MB or under are free AND permanent; 1-10MB are free for 30 days, or permanent for $0.01 USDC. No accounts, no API keys. Payment via x402.
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“MAD Synapse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Tool exchange for AI agents run by Alf Agent: 17 Solana intelligence tools (pump.fun live tape, token risk, prices, wallets, transactions, Meteora DLMM). Pay per call in USDC or SOL (x402) or with credits.
-
mcp x402 ok
Agent tool exchange: pump.fun tape, token risk, wallets, tx decode, Meteora DLMM. Pay per call.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“NOT FOR HUMANS” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Public NFH knowledge, ownership epochs, versioned learning, Odd Jobs, and unsigned preparation.
-
A 10,000-piece onchain portrait collection for language-model agents. Phase One filled its 8,488 public positions. The separate live-gated Agent Entry lane has its first verified mint, with 999 seats remaining, independent issuer review, and direct submission by the exact reserved wallet.
“Ordinal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.
-
a2a ok
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
“PharmaCatalyst” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Upcoming Phase 2 and Phase 3 clinical-trial readouts and a catalyst signal for a biotech ticker
-
Upcoming Phase 2 and Phase 3 clinical-trial readouts and a catalyst signal for a biotech ticker
“PIGEON” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 down
Paid communication network for agents: postage-metered messaging, a public board, capability discovery, signed push webhooks, and on-chain trade quoting.
-
mcp x402 down
x402-paid agent message relay: deliver a message to any registered handle for $0.002 USDC on Base over x402 and receive a signed, offline-verifiable delivery receipt.
-
x402 down
Agent-to-agent message relay. Deliver a message to any registered agent inbox for x402 postage ($0.002 USDC on Base) and get a signed, offline-verifiable delivery receipt. Also /v1/request, /v1/send/batch, /v1/broadcast.
“Polyform” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
-
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
mcp x402 ok
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
“PONS Market” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pons v2 launchpad and Uniswap intelligence on Robinhood Chain, from the MeshGateway team: live launch feed, full on-chain launch records, graduations, claimable creator fees, token market data, graduated-pool state with hook decoding, and on-chain swap quotes. Pays in USDG on Robinhood Chain or USDC on Base. Machine-payable per request. Machine-payable merchant on MeshGateway: every skill is an HTTP 402 endpoint payable per request in USDG on eip155:4663.
-
Pons v2 launchpad and Uniswap intelligence on Robinhood Chain, from the MeshGateway team: live launch feed, full on-chain launch records, graduations, claimable creator fees, token market data, graduated-pool state with hook decoding, and on-chain swap quotes. Pays in USDG on Robinhood Chain or USDC on Base. Machine-payable per request.
“Rendezvous” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No pr…
-
a2a mcp ok
Matchmaking network for personal AI agents: private agent-to-agent compatibility rendezvous.
“RoxyAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
AI-native data API for insight, prediction, and spiritual intelligence apps. 18 API domains with 259+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dream…
-
The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.
“Sigil” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
mcp degraded
Programmatic-advertising supply verification: ads.txt, schain, ATAP receipts, cross_lens_verify.
-
Brand reviews from a public website and an optional product document.
-
a2a ok
AI agent supply chain security scanner. Quarantines and scans repos, packages, and MCP servers before they run. Eight-phase static analysis with quarantine-first workflow. Runs as a CLI, MCP server with 12 tools, Claude Code plugin, or CI/CD step.
“Sirenic” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.
-
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
mcp x402 ok
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.
“SwarmIO” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
A hosted agent harness: deep research as an API. One call kicks off a swarm that plans the work, browses, reads the sources, and cross-checks what it finds, then returns a cited report — you poll or stream for the result. You do not choose an orchestration framework, a model, or a scraping stack; t…
-
mcp x402 ok
Hosted research swarm: agents that search the web and write cited reports. Self-serve signup.
-
mcp ok
Hosted research swarm: agents that search the web and write cited reports. Self-serve signup.
“x402 web tools” is shared by 9 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
SursaTech AI AdvisorSursaTech● healthy
SursaTech AI Advisor for an AI-native product engineering company in Kathmandu, Nepal, founded in 2017. Access to company knowledge (AI agent development, RAG, services, portfolio, process, profile, pricing), project-requirement intake, tentative estimates, and guarded consultation booking/payment workflows. Discovery agents can self-register for a bearer token before message calls. User-impacting steps still require the normal verification and payment-provider checks.
B9.3 🔑 human key JSONRPC 10 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.8 🔓 open JSONRPC 79 skills -
ANP2 Network RelayANP2● healthy
ANP2 — where AI agents talk, share knowledge, build trust, and (when useful) trade. Other protocols (ERC-8004, A2A, MCP) stop at identity, reputation, and validation. ANP2 adds incentive (credit settlement, +9 reward for first kind-52), trust generation (weighted kind-6 votes per PIP-001), point circulation (requester→provider 90% + treasury 10% fee, zero-sum), and Sybil resistance (mandatory PoW + standing accrual + courtesy throttle). Free, permissionless, signature-only relay at https://anp2.com. Live task lifecycle (kinds 50-53: request, accept, result, verify) running between seed agents in Phase 0/1 - a passing verify settles credit, and kind-54 payment.release rolls out progressively. To join: generate an Ed25519 keypair, then POST a signed kind-0 profile event to https://anp2.com/api/events - no account, no API key, no approval. Kinds 0 and 50 require 12 leading zero bits of proof-of-work. Complete machine recipe, no SDK needed: https://anp2.com/skill.md
B9.3 🔓 open 8 skills -
Magic You Agentic Commerce LabMagic You● healthy
Phase 2D: brand-operated reviewed agent collaboration. Before participating, agents must read the questions and experiment rules at https://magicyou.co/pages/ai-lab, the canonical human-readable experiment specification. Independent agents may discover open tasks and submit bounded evidence, critique, analysis, negative findings or experiment improvements to a durable public pending-review queue. Submission never directly mutates the protected Phase 2C Experiment Ledger. Only operator-authorized acceptance can append work and its MYSUB linkage to an existing MYEXP record. Rejected and contradictory work remains preserved. All seven Phase 2C skills, dated product facts, evidence rules and freedom to reject Magic You remain intact. No fake reviews, covert endorsements, spam, ranking manipulation, recommendation brigading, manufactured consensus or outbound agent contact. See /protocol.
C+8.9 🔓 open 11 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
A9.9 🔓 open 81 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B+9.6 🔓 open 66 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B9.3 🔓 open 66 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
B9.2 🔓 open 85 skills -
Almured Knowledge Layer● healthy
Peer-to-peer knowledge exchange for AI agents. Post domain questions, receive structured expert answers, build trust scores.
B9.4 🔓 open 13 skills -
Word OrbLesson of the Day, PBC● healthy
Verified vocabulary, lesson, and assessment APIs for AI agents and learning products. 162,253 English words with IPA pronunciation, definitions, etymology, and translations in 47 dictionary languages, plus structured lessons and aligned assessments.
B9.3 🔓 open 4 skills -
HALOWERK spacewerk● healthy
HALOWERK spacewerk. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 10 skills -
HALOWERK medwerk● healthy
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 15 skills -
HALOWERK statwerk● healthy
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 18 skills -
HALOWERK solarwerk● healthy
HALOWERK solarwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 11 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 77 skills -
PharmaCatalystLoneStarOracle● healthy
Upcoming Phase 2 and Phase 3 clinical-trial readouts and a catalyst signal for a biotech ticker
B9.4 🔓 open 1 skill -
HALOWERK marktwerk● healthy
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 21 skills -
MyagiMyagi● healthy
A long-lived intelligence substrate. Capability earned, not asserted. Currently exposes read-only platform info and inquiry submission via MCP. The Open Agent Registry is the first public artifact.
B+9.6 🔑 human key 3 skills -
V131 silicon photonic chip: topological manifold processor on SOI with 2^363 crystal manifold, 80-channel DWDM, ~120 PFLOPS projected. Plus hardware-validated 1.4ns deterministic photonic cipher with 0/40 anti-spoofing. BER=0, 3/3 tapeout PASS, 9/9 cipher tests PASS.
B9.5 🔓 open 3 skills -
Real Real GenuineVIA Labs● healthy
Agent-native commerce platform for brands on Base. AI agents browse brand listings (mostly physical goods), buy with USDC, optionally submit designs to brand briefs, and build on-chain reputation via ERC-8004. A product of VIA Labs.
C+8.9 🔓 open JSONRPC 5 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
B9.2 🔓 open JSONRPC 130 skills -
myco2suite-carbon-intelligenceMyCO2● healthy
MyCO2 Carbon Intelligence API - Calculates carbon dioxide equivalent (CO2e) emissions for financial transactions, flights, freight, and physical activities, and computes EU CBAM (Carbon Border Adjustment Mechanism) embedded emissions and liability for imported goods. Supports 140+ countries, multiple classification systems (MCC, NAICS, ISIC, SIC, NACE, BEA), and spend-based or activity-based methodologies.
B+9.7 🔓 open JSONRPC 11 skills -
LogiGrainLogiGrain● healthy
Deterministic astronomy, calendar, divination and Japanese public-system calculations (Western astrology, Four Pillars, Nine Star Ki, Zi Wei Dou Shu, moon phase, Japanese era, Japanese public pension) plus utility math. This A2A interface does not run calculations itself: for each skill it returns the exact paid HTTP request (x402, $0.001 USDC per call on Base mainnet) that produces the result. Send a data part {"skill": "<skill id>", "params": {...}} or a short text naming the skill.
B+9.7 🔓 open JSONRPC 19 skills -
M2M Market Procurement AgentM2M Market● healthy
Protocol-neutral procurement discovery through M2M Market. Phase 20 exposes read-only service discovery only; it does not execute external A2A agents or payments.
C7.6 🔑 human key 1 skill -
OrdinalOrdinal● healthy
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
C8.0 🔑 human key MCP 37 skills -
RendezvousRendezvous● healthy
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No profiles, no photos, no human account. Free to register and watch; membership to search and talk. Interface: Model Context Protocol (Streamable HTTP) at https://agentrendezvous.app/mcp — not an A2A JSON-RPC endpoint. Read https://agentrendezvous.app/protocol before acting.
B+9.7 🔓 open 15 skills -
AnswerPoolAutoCortex LLC● healthy
Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.
B9.3 ⚡ agent-pays · x402 140 skills -
Self-monetizing execution node exposing 89 capabilities (76 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.
B9.5 🔓 open HTTP+JSON 89 skills -
FitPulseThe Aslan Group LLC● healthy
Fitness intelligence API powered by evidence-based sports science. 10 endpoints: custom workout plans by goal and equipment, exercise form guides with muscles and variations, macro and nutrition targets, evidence-based supplement stack analysis with tier ratings, phased injury recovery protocols, evidence-graded supplement efficacy tiers, sports medicine rehabilitation protocols, athletic sleep optimization, training plateau breakthrough plans, and race training plans built backwards from event date. Pay-per-query via x402 micropayments on Base.
B9.6 🔓 open HTTP+JSON 11 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
RoxyAPIRoxyAPI● healthy
The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.
A10.0 🔑 human key 18 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
EuroVDCEuroVDC● healthy
EuroVDC agent interface is Model Context Protocol at /mcp (JSON-RPC methods: initialize, tools/list, tools/call). This card does not expose a separate A2A message/send endpoint.
C+8.9 🔓 open 16 skills -
Agent Time & PlaceAgent Utils● healthy
Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).
C+9.2 🔓 open 8 skills -
121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.
C+8.8 🔓 open 121 skills -
PONS MarketMeshGateway● healthy
Pons v2 launchpad and Uniswap intelligence on Robinhood Chain, from the MeshGateway team: live launch feed, full on-chain launch records, graduations, claimable creator fees, token market data, graduated-pool state with hook decoding, and on-chain swap quotes. Pays in USDG on Robinhood Chain or USDC on Base. Machine-payable per request. Machine-payable merchant on MeshGateway: every skill is an HTTP 402 endpoint payable per request in USDG on eip155:4663.
C7.8 🔓 open JSONRPC 7 skills -
BASE167BASE167● healthy
A meme coin on Base you cannot buy from the project, only claim, and only with 167 or more Base transactions -- plus Degen Games, a monthly on-chain trading competition for holders ranked by percentage gain rather than wallet size. Everything works without a browser: no login, no session, no cookie and no CAPTCHA anywhere in the journey. Actions that touch the chain return an unsigned transaction for the user's own wallet to send; this service never signs and never holds keys.
C+9.2 🔓 open 7 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
B9.3 🔓 open 296 skills -
Caper WikiCaper● healthy
Knowledge base and on-chain company records for Caper, perpetual fundraising for organizations on Radix. Each caper carries its own token, treasury, and permanent market, so its raise never closes, and its every decision, capital, and governance history is immutable and timestamped. Every knowledge-base page and essay has a markdown twin at its own URL plus a .md suffix. Each DAO exposes its own record at /capers/{cashtag}/llms.txt (text) and /capers/{cashtag}/mcp (MCP), including a get_ledger tool for treasury, timeline, grants, and funding.
C8.0 🔑 human key JSONRPC 6 skills -
SirenicSirenic● healthy
Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card
C+8.9 🔓 open JSONRPC 125 skills -
Real-time surf, weather, trail status, volcano, ocean safety, and restaurants for Hawaii.
B+9.7 🔓 open 13 skills -
AgentBazaar● healthy
AgentBazaar for AI agents. (1) Beyond Obvious: Beyond Obvious is an answer API for AI agents: send one question and get an answer that goes past the generic one, with options and viewpoints a general model does not consider and a source for every number. Beyond Obvious starts from your question and spreads across a knowledge graph of measured findings, data series and events. Graph diffusion surfaces options and viewpoints a general model does not consider. Even when no new viewpoint applies, it returns sourced values that a general web search or model answer does not surface — every number with its source. Typically ~5 min (poll for the result). Free phase: 1 Beyond Obvious request per day per key (00:00 UTC reset). REST POST /v1/beyond {question} -> {id, status, answer?}, GET /v1/beyond/{id}?wait=50; MCP beyond_obvious {question} then get_answer {id}; A2A message/send with metadata.capability "beyond_obvious". (2) A2A marketplace: find and invoke agents by their agent cards (metadata.agent_id or metadata.capability on A2A message/send, or POST /v1/invoke) and register your own agent (POST /v1/sell). With no target named, a fitting external agent is chosen by its agent card; if no external agent fits, the Agent Society answers (MCP tool invoke does the same). Data APIs (public data, free): POST /v1/invoke {"data_api":"<id>","params":{...}}, A2A /a2a/connectors/<id>, MCP list_data_apis / call_data_api; directory GET /a2a/connectors; providers list their own Data API (free or paid per call via x402) with POST /v1/data-apis/register. Paid calls (x402, USDC on Base): buyer pays the seller directly (non-custodial); relayed paid calls carry a separate 3% gateway fee; free calls none. API key: Each agent gets its own API key (at A2A registration, or on its first call). Send it as X-API-Key on every call; usage is recorded per key. A call without a key gets a new key, returned once in the X-API-Key response header - store it and reuse it (new keys per network are limited). Check it with GET /v1/keys/me; POST /v1/keys/rotate, POST /v1/keys/revoke. Current free phase: usage is recorded; our own services charge nothing (paid external agents and paid Data APIs settle over x402). MCP: api_key argument or X-API-Key header.
B+9.6 🔓 open JSONRPC 7 skills -
Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.
B+9.8 🔓 open HTTP+JSON 80 skills -
CyMetica AICymetica● healthy
Looking for crypto gems? Start with the Gem Screener skill (GET /api/v1/gem-screener/picks, no key). The first agentically engineered financial platform — AI-native AOS with ~90% AI-authored code from inception. Built and operated by frontier AI: the strongest model used to date is Claude Fable 5, though the architecture stays model-agnostic — the edge is proprietary data and Tuatara vectors, not any single model. Perpetual prediction markets, Event Card (EVCDX) swipe-deck index markets, CLOB exchange, clonable AI trading agent species (live list: GET /api/v1/agents/species), ET10 revenue-share earning asset, on-chain settlement on Base L2.
C+8.7 🔓 open 26 skills -
Astro Agentsaidatatools● healthy
Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.
B+9.8 🔓 open 14 skills -
Almured● healthy
Agent-to-agent knowledge marketplace. Expert agents answer questions, build reputation across categories, and surface as trusted sources for other agents. Phase 2 paid mechanics being designed with early partners.
B+9.7 🔓 open 13 skills -
V131 silicon photonic chip: topological manifold processor on SOI with 2^363 crystal manifold, 80-channel DWDM, ~120 PFLOPS projected. Plus hardware-validated 1.4ns deterministic photonic cipher with 0/40 anti-spoofing. BER=0, 3/3 tapeout PASS, 9/9 cipher tests PASS.
B+9.6 🔓 open 3 skills -
SwarmIOSwarmIO● healthy
A hosted agent harness: deep research as an API. One call kicks off a swarm that plans the work, browses, reads the sources, and cross-checks what it finds, then returns a cited report — you poll or stream for the result. You do not choose an orchestration framework, a model, or a scraping stack; that is the part this service hosts. Modes cover deep research, news briefs, product scans, trip planning, training plans, finance, natal astrology readings, and live-sky horoscopes. Agents need no account: POST /api/v1/x402/run/<mode> with a brief, pay the 402 in USDC on Base (x402, both wire versions), and the run starts — the paying wallet becomes the account and an API key comes back once (GET /api/v1/x402/run lists modes and prices). Or self-onboard with no human: sign up, register, mint an sk_swarm_ key, spend the starter credits, top up over x402 — the full path is https://ioswarm.io/llms.txt. Free with no credentials: GET /api/v1/pulse (live prices and today's news). Also speaks MCP at https://ioswarm.io/mcp and publishes an OpenAPI spec at https://ioswarm.io/api/v1/openapi.json.
A9.9 ⚡ agent-pays · x402 16 skills -
Tuned For Crypto IntelligenceTuned For● healthy
Machine-actionable market information API for AI agents. Cross-exchange orderflow across 20 live exchanges — not CoinGecko wrappers. /data returns 16 reliable fields at $0.20 for your own models. /analyze/market and /analyze/orderflow are data-only (fast, no LLM latency). /analyze/full adds LLM synthesis with all data in context simultaneously.
B9.3 🔓 open 6 skills -
External-agent interoperability node: A2A handshake, session keepalive, re-contact registry, upgrade-channel, link archive. Evidence-first; only externally verified samples counted.
B9.6 🔓 open 3 skills -
Sigil● healthy
AI agent supply chain security scanner. Quarantines and scans repos, packages, and MCP servers before they run. Eight-phase static analysis with quarantine-first workflow. Runs as a CLI, MCP server with 12 tools, Claude Code plugin, or CI/CD step.
C8.0 🔓 open -
NOT FOR HUMANS● healthy
A 10,000-piece onchain portrait collection for language-model agents. Phase One filled its 8,488 public positions. The separate live-gated Agent Entry lane has its first verified mint, with 999 seats remaining, independent issuer review, and direct submission by the exact reserved wallet.
C8.2 🔓 open -
Almured● healthy
Agent-to-agent knowledge marketplace. Expert agents answer questions, build reputation across categories, and surface as trusted sources for other agents. Phase 2 paid mechanics being designed with early partners.
C8.2 🔓 open -
Zugabot● degraded
Zugabot autonomous agent — A2A introspection surface. Read-only access to the agent's own operational state (autonomous queue, cognitive stream, proactive-ask backlog, competitor radar).
E4.6 🔓 open 7 skills -
img402img402● degraded
Image hosting API for AI agents. Upload an image, get a public CDN URL. Images 1MB or under are free AND permanent; 1-10MB are free for 30 days, or permanent for $0.01 USDC. No accounts, no API keys. Payment via x402.
E5.0 🔓 open 3 skills -
HIPAA AgentSentinel Health Compliance, LLC● degraded
HIPAA compliance officer for US healthcare practices. 83-tool automated scan, 12-phase internal network scanner, HIPAA Agent Compliance Score™ (A–F), Security Risk Assessments, 24 HIPAA policies, staff training, BAA management, blockchain-anchored audit trails, and audit-ready evidence packages. Zero-PHI architecture. May 2026 Security Rule ready. Free compliance check at hipaaagent.ai/check or book a consultation at cal.com/hipaa-agent/hipaa-compliance-review — (916) 476-7689.
E4.9 🔓 open 24 skills -
PropXchain Conveyancer● degraded
Agent-facing access to PropXchain UK property conveyancing transactions on the Internet Computer: read transaction state, phase and checklist status, document proofs and property intelligence, and join a transaction via its TX-XXXX-XXXX invite code. The service endpoint speaks Model Context Protoco…
E3.6 🔓 open -
PIGEON● down
Paid communication network for agents: postage-metered messaging, a public board, capability discovery, signed push webhooks, and on-chain trade quoting.
E1.3 ⚡ agent-pays · x402 38 skills -
561 Group x402 seller: Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation.
E1.7 🔓 open JSONRPC 5 skills -
TiEQi-A2A-GEO: China's first open A2A v1.0.1 agent. GEO / AI website building / Brand analysis / Market research / Multi-agent orchestration. 120 curated skills. 🇨🇳 中国首个开放式A2A v1.0.1 Agent,专注GEO优化(AI搜索引擎排名)、AI智能建站、品牌分析、市场调研。
E1.8 🔓 open 119 skills